﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;
using wms.dto.request.sx;
using wms.dto.response;
using wms.dto.response.sx;
using wms.sqlsugar.model;
using wms.sqlsugar.model.sx;

namespace wms.service.IService
{
    public interface ISXService
    {
        public string GetSysConfigContentByCode(string code);
        public bool SyncMaterInfo(List<SXSyncMaterInfoResponseItem> ResData);
        public sxSysConfig GetSysConfigByCode(string code);
        public sxSysConfig GetSysConfigByExpression(Expression<Func<sxSysConfig, bool>> WhereExpression);
        public sxBaseMater GetBaseMaterByExpression(Expression<Func<sxBaseMater, bool>> WhereExpression);
        /// <summary>
        /// 获取反馈信息列表
        /// </summary>
        /// <param name="WhereExpression"></param>
        /// <returns></returns>
        public List<sxBillFeedbackPush> GetBillFeedbackList(Expression<Func<sxBillFeedbackPush, bool>> WhereExpression);
        public bool UpdateSysConfigModelColumns(UpdateModelColumns<sxSysConfig> updateModel);
        public SRes SpoolMaterialInfoTrans(SxSpoolMaterialInfoTransRequest reqDto);
        public SRes StockChange(SxStockChangeRequest reqDto);

    }
}
