﻿using wms.dto.response.hj;
using wms.service.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using wms.service.Service.StrategyService;
namespace wms.service.Service
{
    /// <summary>
    /// 混盘优先
    /// </summary>
    public class MixFOStrategyService : IWorkStrategyService
    {
        public List<LocationForStrategyInfo> Filter(List<LocationForStrategyInfo> listLocation)
        {
            if (listLocation == null || !listLocation.Any())
            {
                return listLocation;
            }
            if (_isContainer)
            {
                return listLocation;
            }
            else
            {
                listLocation.Sort(new LocationForStrategyInfoComparer("MixCount"));//混盘优先
            }
            return listLocation.ToList();
        }
        private bool _isContainer { get; set; }
        private MixFOStrategyService() { }

        public MixFOStrategyService(bool isContainer)
        {
            _isContainer = isContainer;
        }
    }
}
