﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.cp
{
    [Tenant("cp")]
    [SugarTable("base_mater_group", "物料组表")]
    public class cpBaseMaterGroup : BaseModel
    {
        /// <summary>
        /// 叶类代码
        /// </summary>
        [SugarColumn(ColumnName = "leaf_type_code", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string LeafTypeCode { get; set; }
        /// <summary>
        /// 叶类名称
        /// </summary>
        [SugarColumn(ColumnName = "leaf_type_name", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string LeafTypeName { get; set; }
        /// <summary>
        /// 中类代码
        /// </summary>
        [SugarColumn(ColumnName = "mid_type_code", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string MidTypeCode { get; set; }
        /// <summary>
        /// 中类名称
        /// </summary>
        [SugarColumn(ColumnName = "mid_type_name", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string MidTypeName { get; set; }
        /// <summary>
        /// 大类代码
        /// </summary>
        [SugarColumn(ColumnName = "head_type_code", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string HeadTypeCode { get; set; }
        /// <summary>
        /// 大类名称
        /// </summary>
        [SugarColumn(ColumnName = "head_type_name", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string HeadTypeName { get; set; }
        /// <summary>
        /// 预留字段1
        /// </summary>
        [SugarColumn(ColumnName = "default1", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default1 { get; set; }
        /// <summary>
        /// 预留字段2
        /// </summary>
        [SugarColumn(ColumnName = "default2", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default2 { get; set; }
        /// <summary>
        /// 预留字段3
        /// </summary>
        [SugarColumn(ColumnName = "default3", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default3 { get; set; }
    }
}
