﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.hj
{
    [Tenant("hj")]
    [SugarTable("Bill_BomSetInfo")]
    public partial class BillBomsetinfo
    { 

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = true )]
        public long? WarehouseId { get; set; }

        /// <summary> 
        /// BomSetHdrId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long BomSetHdrId { get; set; }

        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// IsEmpty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsEmpty { get; set; }

        /// <summary> 
        /// ClBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string ClBarCode { get; set; }

        /// <summary> 
        /// XYNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string XYNo { get; set; }

        /// <summary> 
        /// MatId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long MatId { get; set; }

        /// <summary> 
        /// SideNum
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int SideNum { get; set; }

        /// <summary> 
        /// SilkType
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string SilkType { get; set; }

        /// <summary> 
        /// SilkDiam
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal SilkDiam { get; set; }

        /// <summary> 
        /// IsCore
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsCore { get; set; }

        /// <summary> 
        /// Memo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 500  , IsNullable = true )]
        public string Memo { get; set; }

        /// <summary> 
        /// AddWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string AddWho { get; set; }

        /// <summary> 
        /// AddTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime AddTime { get; set; }

        /// <summary> 
        /// EditWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string EditWho { get; set; }

        /// <summary> 
        /// EditTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime EditTime { get; set; }

        /// <summary> 
        /// Default1
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default1 { get; set; }

        /// <summary> 
        /// Default2
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default2 { get; set; }

        /// <summary> 
        /// Default3
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default3 { get; set; }


    }
}

