﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.hj
{
    [Tenant("hj")]
    [SugarTable("bill_task_detail", "任务明细表")]
    public class hjBillTaskDetail:BaseModel
    {
        /// <summary>
        /// 任务号
        /// </summary>
        [SugarColumn(ColumnName = "task_code")]
        public int TaskCode { get; set; }
        /// <summary>
        /// 当前位置
        /// </summary>
        [SugarColumn(ColumnName = "cur_point", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string CurPoint { get; set; }
        /// <summary>
        /// 下个位置
        /// </summary>
        [SugarColumn(ColumnName = "next_point", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string NextPoint { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        [SugarColumn(ColumnName = "desc", ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string Desc { get; set; }
        /// <summary>
        /// 执行时间
        /// </summary>
        [SugarColumn(ColumnName = "exec_time")]
        public DateTime ExecTime { get; set; }
    }
}
