﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("bill_location_map", "机台信息表")]
    public class sxBillLocationMap : BaseModel
    {
        [SugarColumn(ColumnName = "material_id")]
        public long MaterialId { get; set; }
        [SugarColumn(ColumnName = "location_type")]
        public int LocationType { get; set; }
        [SugarColumn(ColumnName = "tunnel", Length = 10)]
        public int Tunnel { get; set; }
        [SugarColumn(ColumnName = "size", Length = 10, IsNullable = true)]
        public string Size { get; set; }
        [SugarColumn(ColumnName = "zone_id")]
        public long ZoneId { get; set; }
        [SugarColumn(ColumnName = "grade", Length = 10, IsNullable = true)]
        public string Grade { get; set; }
        [SugarColumn(ColumnName = "batch_id", IsNullable = true)]
        public long BatchId { get; set; }
        [SugarColumn(ColumnName = "material_state", Length = 50, IsNullable = true)]
        public string MaterialState { get; set; }

        [SugarColumn(ColumnName = "depth")]
        public int Depth { get; set; }
        [SugarColumn(ColumnName = "layer")]
        public int Layer { get; set; }
        [SugarColumn(ColumnName = "col")]
        public int Col { get; set; }
        [SugarColumn(ColumnName = "row")]
        public int Row { get; set; }

        [SugarColumn(ColumnName = "location_lock")]
        public int LocationLock { get; set; }
    }
}
