﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;
using wms.dto.request;
using wms.dto.response;

namespace wms.util.Ext
{
    public static class ResultExt
    {
        public static string ToCamelCaseString(this SRes result)
        {
            return JsonConvert.SerializeObject(result, Formatting.Indented, new JsonSerializerSettings
            {
                ContractResolver = new Newtonsoft.Json.Serialization.CamelCasePropertyNamesContractResolver()
            });
        }
    }
    public static class BaseRequestExt
    {
        public static string ToJsonString(this BaseRequest req)
        {
            return JsonConvert.SerializeObject(req, Formatting.Indented, new JsonSerializerSettings
            {
                ContractResolver = new Newtonsoft.Json.Serialization.DefaultContractResolver()
            });
        }
    }
}
