﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request
{
    public class WcsTaskCallBackRequest
    {
        /// <summary>
        /// 任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string TaskNum { get; set; }
        /// <summary>
        /// 任务状态（0.未下发；1.未执行;2~98.WCS任务进程状态,数据存入缓存）
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int TaskStatus { get; set; }
        /// <summary>
        /// WCS操作人名称
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WCSUpdateName { get; set; }
        /// <summary>
        /// 当前地址
        /// </summary>
        public string CurPosition { get; set; }
        /// <summary>
        /// 下个地址
        /// </summary>
        public string NextPosition { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
    }
}
