﻿using System;
using System.Collections.Generic;
using System.Text;
using wms.dto.response;

namespace wms.dto.request.hj.dto
{
    public class MaterInfoResponse
    {
    }
    public class MaterInfo
    {
        public string MatCode { get; set; }
        public string MatName { get; set; }
        public string HWSpec { get; set; }
        public string Grade { get; set; }
        public bool IsHold { get; set; }
        public decimal HoldDuration { get; set; }
        public string Plating { get; set; }
        public decimal PlatingConQty { get; set; }
        public decimal Linear { get; set; }
        public decimal Weight { get; set; }
        public string Flag { get; set; }
    }
    /// <summary>
    /// 推送数据请求
    /// </summary>
    public class PushRequest
    {
        /// <summary>
        /// 满轮信息集合
        /// </summary>
        public List<ListInfo> list { get; set; }
    }
    /// <summary>
    /// 满轮信息明细
    /// </summary>
    public class ListInfo
    {
        public string RFID { get; set; }
        public string MatBarCode { get; set; }
        public string MatCode { get; set; }
        public decimal TolWeight { get; set; }
        public decimal NetWeight { get; set; }
        public decimal TareWeight { get; set; }
        public string LocCode { get; set; }
        public string WareCode { get; set; }
        public string WareName { get; set; }
    }
    public class PushResponse : SRes
    {
        public bool success { get; set; }
    }
}
