﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using wms.dto.response.hj;
using wms.service.IService;

namespace wms.service.Service
{
    /// <summary>
    /// 同种物料放一起入库策略
    /// </summary>
    public class StockInSameMaterialStrategyService : IWorkStrategyService
    {
        public List<LocationForStrategyInfo> Filter(List<LocationForStrategyInfo> listLocation)
        {
            if (listLocation == null || !listLocation.Any())
            {
                return listLocation;
            }
            List<LocationForStrategyInfo> list = null;
            if (_isContainer)
            {
                list = listLocation.ToList();
            }
            else
            {
                list = listLocation.ToList();
            }

          

            return list;
        }
        private string _materialCode { get; set; }
        private bool _isContainer { get; set; }
        private StockInSameMaterialStrategyService() { }
        /// <summary>
        /// 几天认为是一个同等时间点
        /// </summary>
        /// <param name="days"></param>
        public StockInSameMaterialStrategyService(string materialCode, bool isContainer)
        {
            _isContainer = isContainer;
            _materialCode = materialCode;
        }
    }
}
