﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar
{
    public class SqlSugarHelper //不能是泛型类
    {

        //如果是固定多库可以传 new SqlSugarScope(List<ConnectionConfig>,db=>{}) 文档：多租户
        //如果是不固定多库 可以看文档Saas分库

        
        //用单例模式
        public static SqlSugarScope Db = new SqlSugarScope(
            wms.util.AppSettings.App<ConnectionConfig>(new string[] { "ConnectionConfigs" }),
      db =>
      {

          db.GetConnectionScope("pt").Aop.OnLogExecuting = (sql, pars) =>
          {
              Console.WriteLine(db.GetConnectionScope("pt").Ado.Connection.ConnectionString + "\r\n " + sql);
              Console.WriteLine();
              Console.WriteLine();
          };
          db.GetConnectionScope("hj").Aop.OnLogExecuting = (sql, pars) =>
          {
              Console.WriteLine(db.GetConnectionScope("hj").Ado.Connection.ConnectionString + "\r\n " + sql);
              Console.WriteLine();
              Console.WriteLine();
          };
          db.GetConnectionScope("fj").Aop.OnLogExecuting = (sql, pars) =>
          {
              Console.WriteLine(db.GetConnectionScope("fj").Ado.Connection.ConnectionString + "\r\n " + sql);
              Console.WriteLine();
              Console.WriteLine();
          };
          db.GetConnectionScope("sx").Aop.OnLogExecuting = (sql, pars) =>
          {
              Console.WriteLine(db.GetConnectionScope("sx").Ado.Connection.ConnectionString + "\r\n " + sql);
              Console.WriteLine();
              Console.WriteLine();
          };
          db.GetConnectionScope("cp").Aop.OnLogExecuting = (sql, pars) =>
          {
              Console.WriteLine(db.GetConnectionScope("cp").Ado.Connection.ConnectionString + "\r\n " + sql);
              Console.WriteLine();
              Console.WriteLine();
          };
      });
    }
}
