﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.hj
{
    [Tenant("hj")]
    [SugarTable("Bill_BomInfo")]
    public partial class BillBominfo
    { 

        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// Code
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Code { get; set; }

        /// <summary> 
        /// Name
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = false )]
        public string Name { get; set; }

        /// <summary> 
        /// MatId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false)]
        public long MatId { get; set; }

        /// <summary> 
        /// HWCountQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int HWCountQty { get; set; }

        /// <summary> 
        /// Memo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 500  , IsNullable = true )]
        public string Memo { get; set; }

        /// <summary> 
        /// AddWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string AddWho { get; set; }

        /// <summary> 
        /// AddTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime AddTime { get; set; }

        /// <summary> 
        /// EditWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string EditWho { get; set; }

        /// <summary> 
        /// EditTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime EditTime { get; set; }

        /// <summary> 
        /// Default1
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default1 { get; set; }

        /// <summary> 
        /// Default2
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default2 { get; set; }

        /// <summary> 
        /// Default3
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default3 { get; set; }


    }
}

