﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;

namespace wms.sqlsugar.model
{
    public class UpdateModelColumns<T> where T : BaseModel
    {
        //public Dictionary<string, object> keyValues { get; set; }
        // public string dtName { get; set; }
        // public string whereCol { get; set; }
        /// <summary>
        /// 更新的列
        /// </summary>
        public Expression<Func<T, T>> Columns { get; set; }
        /// <summary>
        /// where条件
        /// </summary>
        public Expression<Func<T, bool>> WhereExpression { get; set; }
    }
}
