﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.pt
{
    [Tenant("pt")]
    [SugarTable("Base_UnitRate")]
    public partial class ptBaseUnitrate : BaseModel
    {

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// FromUnitId
        /// </summary> 
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long FromUnitId { get; set; }

        /// <summary> 
        /// RateQty
        /// </summary> 
        [SugarColumn(ColumnDataType = "numeric", Length = 18, IsNullable = false)]
        public decimal RateQty { get; set; }

        /// <summary> 
        /// ToUnitId
        /// </summary> 
        [SugarColumn(ColumnDataType = "nchar", Length = 10, IsNullable = false)]
        public string ToUnitId { get; set; }


    }
}
