﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.pt
{
    [Tenant("pt")]
    [SugarTable("Bill_BomInfo")]
    public partial class ptBillBominfo : BaseModel
    {

        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// Code
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Code { get; set; }

        /// <summary> 
        /// Name
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Name { get; set; }

        /// <summary> 
        /// MatId
        /// </summary> 
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long MatId { get; set; }

        /// <summary> 
        /// HWCountQty
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int HWCountQty { get; set; }

        /// <summary> 
        /// Default1
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default1 { get; set; }

        /// <summary> 
        /// Default2
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default2 { get; set; }

        /// <summary> 
        /// Default3
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default3 { get; set; }


    }
}
